# Echo server program
import socket

HOST = ''        # Symbolic name meaning all available interfaces
PORT = 50008              # Arbitrary non-privileged port
s = socket.socket(socket.AF_INET, socket.SOCK_STREAM)
s.bind((HOST, PORT))
s.listen(1)
otherports = []

while (2 > len(otherports)):
    conn, addr = s.accept()
    print('Connected by', addr)
    data = conn.recv(1024)
    if not data: break
    indata = data.split(" ")
    conn.send("Thank you, " + indata[0] +  " I have received your message. ")
    otherports.append(indata[0])

print(otherports)

i = 0
while(i < len(otherports)):
    s2 = socket.socket(socket.AF_INET, socket.SOCK_STREAM)
    s2.connect((HOST, int(otherports[i])))
    s2.send(otherports[i] + ' I have heard you')
    s2.close()
    i+= 1
conn.close()
